html {
    height: 100vh;
}

h1 {
    color : var(--secondary-color);
    margin-bottom: 2rem;
}

h2 {
    font-weight: 500;
    width: fit-content;
}

@media screen and (min-width: 993px) {
    main {
        height: 90vh !important;
    }
}

.container-contact {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    h2 {
        margin-bottom: 1rem;
    }
}

.contact-infos, .contact-form {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
            rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
    padding: 2rem;  
    box-sizing: border-box;
    border-radius: 0.5rem;
}

.contact-infos {
    width: 35%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    gap: 2rem;

    .contact-infos__phone {
        width: fit-content;
    }

    button {
        width: 100%;
    }
    
    li {
        list-style-type: disc;
    }
    
    ul {
        padding-left: 1rem;
    }
}

.contact-form {
    width: 60%;

    /* Le formulaire, parent de #contact */
    form {
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;

        input {
            height: 2.5rem;
        }

        input, textarea {
            border-radius: 0.5rem;
            border: 1px solid var(--accent-color);
            padding: 0.5rem;
            outline: none;
        }

        textarea {
            height: 8rem;
        }

        /* Le bouton submit */
        button {
            margin-top: 1rem;
            margin-left: auto;
            height: 3rem;
            width: 7rem;
        }
    }

    /* Le parent direct des div contenant les labels et les champs */
    #contact {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        /* Les div contiennent les labels et les champs */
        div {
            display: flex;
            flex-direction: column;
            gap: 0.5rem;
            margin-bottom: 1rem;
        }
    }
}


@media screen and (max-width: 992px) {
    .container-contact {
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        height: auto;
        gap: 2rem;
        width: 100%;
    }
    
    .contact-infos {
        width: 100%;
        gap: 2rem;
    }
    
    .contact-form {
        width: 100%;
        gap: 2rem;

        div {
            gap: 1rem;
            margin-bottom: 0;
        }

        div>input {
            padding: 1rem;
        }

        div>textarea {
            height: 10rem;
        }

        .btn {
            width: 100%;
            height: 3rem;
        }
    }
}